Bug 21743 - падает xterm при перемотке в mplayer
: падает xterm при перемотке в mplayer
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xterm)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-09-27 12:50 by
Modified: 2009-10-03 12:39 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-09-27 12:50:39
Заполняем окно терминала настолько, чтобы заработала прокрутка.
Запускаем проигрывание любого файла в mplayer.
Крутим колесо мыши в xterm и наблюдаем падение.

В urxvt не воспроизводится, поэтому вешаю не на mplayer, а на xterm.
------- Comment #1 From 2009-09-27 16:15:34 -------
Не удаётся воспроизвести.
Какая версия xterm?
------- Comment #2 From 2009-09-27 16:31:18 -------
Не воспроизводится.
------- Comment #3 From 2009-09-27 16:33:37 -------
Тимур, насколько стабильно у вас воспроизводится падение?
------- Comment #4 From 2009-09-30 21:25:50 -------
Воспроизводится стабильно на p5 одно-двухнедельной давности. 
Могу на M40 завтра проверить, если это имеет какой-то смысл.

timur@localhost ~ $ rpm -q xterm mplayer
xterm-248-alt1
mplayer-1.0-alt35.29579.2


Причем, не важно что за файл открываем — падает и на mp3, и на видео. На видео
— только если скроллить в окне терминала. В окне mplayer скролл работает
нормально, как перемотка.
------- Comment #5 From 2009-10-02 17:34:59 -------
(В ответ на комментарий №4)
> Воспроизводится стабильно на p5 одно-двухнедельной давности. 
> Могу на M40 завтра проверить, если это имеет какой-то смысл.

Проверьте, пожалуйста, ещё раз, после rpm -Uvh
ftp://devel.altlinux.ru/php-coder/xterm-249-alt1.i586.rpm
------- Comment #6 From 2009-10-03 09:54:37 -------
(В ответ на комментарий №5)
> (В ответ на комментарий №4)
> > Воспроизводится стабильно на p5 одно-двухнедельной давности. 
> > Могу на M40 завтра проверить, если это имеет какой-то смысл.
> 
> Проверьте, пожалуйста, ещё раз, после rpm -Uvh
> ftp://devel.altlinux.ru/php-coder/xterm-249-alt1.i586.rpm

После обновления xterm проблема исчезла. Спасибо!
------- Comment #7 From 2009-10-03 12:39:16 -------
xterm-249-alt1 -> sisyphus:

* Fri Oct 02 2009 Slava Semushin <php-coder@altlinux> 249-alt1

- Updated to 249
  + Also fixed crash during scrolling (Closes: #21743)